Bug 166438 - Review Request: R-mAr
Review Request: R-mAr
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://cran.r-project.org/contrib/main/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-21 06:05 EDT by José Matos
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 08:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description José Matos 2005-08-21 06:05:06 EDT
Spec Name or Url: http://www.fc.up.pt/pessoas/jamatos/R-mAr.spec
SRPM Name or Url: http://www.fc.up.pt/pessoas/jamatos/R-mAr-1.1-1.src.rpm
Description:
R package:
An R add-on package for estimation of multivariate AR models through a
computationally-efficient stepwise least-squares algorithm (Neumaier
and Schneider, 2001); the procedure is of particular interest for
high-dimensional data without missing values such as geophysical
fields.
Comment 1 José Matos 2005-09-09 06:10:25 EDT
Same version, new location:   
   
http://www.fc.up.pt/pessoas/jamatos/fedora-extras/R-mAr.spec 
http://www.fc.up.pt/pessoas/jamatos/fedora-extras/R-mAr-1.1-1.src.rpm 
 
As soon as I get a review of this package I will submit more R packages 
that are in the queue since its packaging it is mostly similar. 
Comment 2 Tom "spot" Callaway 2005-10-05 13:00:18 EDT
Agreed. This looks exactly like the template I was using for the CRAN packages I
had in the queue.

The only difference is that I also have:

%check
%{_bindir}/R CMD check %{packname}

I also have tetex-latex as a BuildRequires, since it seems to need it for many
packages to generate the docs. 
Comment 3 Tom "spot" Callaway 2005-10-05 13:35:56 EDT
Minor changes:
%doc DESCRIPTION COPYING doesn't seem to be needed as these files end up in
%{_libdir}/R/library/%{packname} as part of the install process.

%check should be:

cd ..;%{_bindir}/R CMD check %{packname}
Comment 4 Tom "spot" Callaway 2005-10-05 13:41:04 EDT
With the changes I describe above applied...

Good:

- rpmlint checks return:
W: R-mAr invalid-license GPL version 2 or newer
(rpmlint making noise)
E: R-mAr no-binary
E: R-mAr only-non-binary-in-usr-lib
(safe to ignore for R packages)
W: R-mAr no-documentation
W: R-mAr dangerous-command-in-%post perl
W: R-mAr dangerous-command-in-%postun perl
(safe to ignore)

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text included, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc
- no need for .desktop file

APPROVED, assuming my changes are applied (BR: tetex-latex, no duplication of
docs, use of %check).

With this sort of a template, these packages should be quick to review. :)
Comment 5 José Matos 2005-10-06 08:11:58 EDT
I have applied all your suggestions and I have imported the package. 
 
Thank you. 
Comment 6 José Matos 2005-10-06 08:54:43 EDT
Build on target development succeeded. 

Note You need to log in before you can comment on or make changes to this bug.